// JScript File
var objShiftPattern;
function changeShiftPattern(DdlNo, NewValue)
{  
   if(window.ActiveXObject)
    {    
        try
        {
            objShiftPattern = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch(e)
        {
            try
            {
                objShiftPattern = new ActiveXObject("Microsoft.XMLHTTP");
            }
            catch(e1)
            {
                objShiftPattern = null;
            }
        }
    }  
     else if(window.XMLHttpRequest)
     {
        try
        {
            objShiftPattern = new XMLHttpRequest("Msxml2.XMLHTTP");
        }
        catch(e)
        {
            try
            {
                objShiftPattern = new XMLHttpRequest("Microsoft.XMLHTTP");
            }
            catch(e1)
            {
                objShiftPattern = null;
            }
        }
     }    
//    try
//    {
//        objShiftPattern = new ActiveXObject("Msxml2.XMLHTTP");
//    }
//    catch(e)
//    {
//        objShiftPattern = new XMLHttpRequest();
//    }
    var link = "ShiftPatternServer.aspx?ddlno="+DdlNo+"&newvalue="+document.getElementById(NewValue)[document.getElementById(NewValue).selectedIndex].value+"";
    if(window.ActiveXObject)
    {
        objShiftPattern.open("POST", link , true);
        objShiftPattern.onreadystatechange = hanldeResponse;
        objShiftPattern.send(null);
    }
    else if(window.XMLHttpRequest)
    {
        objShiftPattern.open("POST", link , false);
        objShiftPattern.send(null);
        objShiftPattern.onreadystatechange = hanldeResponse();
    }
}
function hanldeResponse()
{    
    if(objShiftPattern.readyState == 200 && objShiftPattern.status == 4)
    {
    }   
}